Deep Replicate
==============

A service class for deeply replicating Eloquent models and their relationships.

Performs internal caching to ensure that individual models are only copied once.

Add a public property called `replicableRelations` to any models you wish to deeply replicate.

This property should be an array of relation names:

```
public $replicableRelations = [
    'parent'
    'child'
];
```

All relations in this array will be traversed, and related models will also be replicated and joined to the replicated parent.